# Struct utf8_ranges::Utf8Range [−] [src]

    pub struct Utf8Range {
        pub start: u8,
        pub end: u8,
    }

A single inclusive range of UTF-8 bytes.

## Fields

`start` | Start of byte range (inclusive).
`end` | End of byte range (inclusive).

## Methods

### `impl Utf8Range`

#### `fn matches(&self, b: u8) -> bool`

Returns true if and only if the given byte is in this range.

## Trait Implementations

### `impl Debug for Utf8Range`

#### `fn fmt(&self, f: &mut Formatter) -> Result`

### Derived Implementations

### `impl Eq for Utf8Range`

### `impl PartialEq for Utf8Range`

#### `fn eq(&self, __arg_0: &Utf8Range) -> bool`

#### `fn ne(&self, __arg_0: &Utf8Range) -> bool`

### `impl Copy for Utf8Range`

### `impl Clone for Utf8Range`

#### `fn clone(&self) -> Utf8Range`

#### `fn clone_from(&mut self, source: &Self)`1.0.0

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)